import { BaseProvider } from '#templates/base/provider';
import { ResidentCurrentLocation } from '#models/ResidentCurrentLocation';

export class ResidentCurrentLocationProvider extends BaseProvider<ResidentCurrentLocation> {
	public static instance: ResidentCurrentLocationProvider;

	public static getInstance(): ResidentCurrentLocationProvider {
		ResidentCurrentLocationProvider.instance ??= new ResidentCurrentLocationProvider();
		return ResidentCurrentLocationProvider.instance;
	}

	public static get model() {
		return ResidentCurrentLocation;
	}

	constructor() {
		super('ResidentCurrentLocation');
	}
}
